Bug 962921 - Filenames with non ASCII characters are badly extracted by ark
Filenames with non ASCII characters are badly extracted by ark
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ark (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 15:06 EDT by Frédéric Bron
Modified: 2014-02-05 16:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:22:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 240727 None None None Never

  None (edit)
Description Frédéric Bron 2013-05-14 15:06:01 EDT
Description of problem:

Filenames with non ASCII characters are badly extracted.

Version-Release number of selected component (if applicable): 2.19

How reproducible: always

Steps to Reproduce:

touch abcdé.txt
zip foo.zip abcdé.txt
LC_ALL=fr_FR.UTF-8 ark foo.zip
  
Actual results:

the file appears as abcd?.txt and a double click to open it fails with error message: "Impossible de charger le fichier /tmp/kde-fred/arkDVVZUI//abcd?.txt car il n'a pas été possible de lire depuis celui-ci. Vérifiez si vous avez les droits d'accès à ce fichier." Which I can translate to "Not able to load file /tmp/kde-fred/arkDVVZUI//abcd?.txt because it was not possible to read from it. Check if you have the permissions to access this file."

Expected results:

the extracted files should be abcdé.txt whatever the locale.

Additional info:

The funny thing is that with the C locale, it works better:
LC_ALL=C ark foo.zip
-> the file appears as abcd#U00e9.txt and is extracted as that name. Double clicking on it is ok to open it. é unicode is e9 but ark should not convert the name to abcd#U00e9.txt. Whatever the locale, the name should contain "e cute".
Comment 1 Kevin Kofler 2013-05-14 16:48:50 EDT
What's the default locale on your system? It looks like it is a non-UTF-8 locale, which is not really supported anymore. In particular, file names are expected to be in the locale's encoding on *nix, you cannot expect creating a file in a non-UTF-8 locale to create a valid file name for when you switch to UTF-8 (even without involving ZIP archives), which is one of the reasons we strongly recommend against using non-UTF-8 locales.
Comment 2 Frédéric Bron 2013-05-15 00:37:56 EDT
My default locale is fr_FR.UTF-8. I added LC_ALL=fr_FR.UTF-8 to be sure that you can reproduce the error as it appears on my computer.
Comment 3 Kevin Kofler 2013-05-15 04:13:19 EDT
It should really be an export in the first step, or just leave it off. (It's normal that it won't work with mismatched locales.)

But I can reproduce your issue without messing with LC_ALL at all (on a de_AT.UTF-8 system locale). This sounds like a clear bug in Ark.
Comment 4 Fedora End Of Life 2013-12-21 08:32:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:22:06 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.